<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: PIT: Periodic Interrupt Timer</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__pit.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">PIT: Periodic Interrupt Timer</div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>The MCUXpresso SDK provides a driver for the Periodic Interrupt Timer (PIT) of MCUXpresso SDK devices.</p>
<h1><a class="anchor" id="PITFunc"></a>
Function groups</h1>
<p>The PIT driver supports operating the module as a time counter.</p>
<h2><a class="anchor" id="PITInit"></a>
Initialization and deinitialization</h2>
<p>The function <a class="el" href="group__pit.html#ga51eb6396276b3f1ec564bd1879c97c06" title="Ungates the PIT clock, enables the PIT module, and configures the peripheral for basic operations...">PIT_Init()</a> initializes the PIT with specified configurations. The function <a class="el" href="group__pit.html#gae7dc830a1a71ec7597ba78ccc76abfb6" title="Fills in the PIT configuration structure with the default settings. ">PIT_GetDefaultConfig()</a> gets the default configurations. The initialization function configures the PIT operation in debug mode.</p>
<p>The function <a class="el" href="group__pit.html#gabe6831cfb502ca058f15fcf065cd13de" title="Enables or disables chaining a timer with the previous timer. ">PIT_SetTimerChainMode()</a> configures the chain mode operation of each PIT channel.</p>
<p>The function <a class="el" href="group__pit.html#ga1f9b6d5e9e463844f85e31102458c1fc" title="Gates the PIT clock and disables the PIT module. ">PIT_Deinit()</a> disables the PIT timers and disables the module clock.</p>
<h2><a class="anchor" id="PITTimerPeriodOperation"></a>
Timer period Operations</h2>
<p>The function PITR_SetTimerPeriod() sets the timer period in units of count. Timers begin counting down from the value set by this function until it reaches 0.</p>
<p>The function <a class="el" href="group__pit.html#ga1ffacaa2e8582f59194436ebc6de2db9" title="Reads the current timer counting value. ">PIT_GetCurrentTimerCount()</a> reads the current timer counting value. This function returns the real-time timer counting value, in a range from 0 to a timer period.</p>
<p>The timer period operation functions takes the count value in ticks. Users can call the utility macros provided in fsl_common.h to convert to microseconds or milliseconds.</p>
<h2><a class="anchor" id="PITStartStopOperation"></a>
Start and Stop timer operations</h2>
<p>The function <a class="el" href="group__pit.html#ga3f6b9762079e4ce2de6799e030b14964" title="Starts the timer counting. ">PIT_StartTimer()</a> starts the timer counting. After calling this function, the timer loads the period value set earlier via the PIT_SetPeriod() function and starts counting down to 0. When the timer reaches 0, it generates a trigger pulse and sets the timeout interrupt flag.</p>
<p>The function <a class="el" href="group__pit.html#ga32f1b8ca9cf0fc82ef192890e97899b8" title="Stops the timer counting. ">PIT_StopTimer()</a> stops the timer counting.</p>
<h2><a class="anchor" id="PITStatus"></a>
Status</h2>
<p>Provides functions to get and clear the PIT status.</p>
<h2><a class="anchor" id="PITInterrupt"></a>
Interrupt</h2>
<p>Provides functions to enable/disable PIT interrupts and get current enabled interrupts.</p>
<h1><a class="anchor" id="PITUseCase"></a>
Typical use case</h1>
<h2><a class="anchor" id="PITTick"></a>
PIT tick example</h2>
<p>Updates the PIT period and toggles an LED periodically. </p>
<div class="fragment"><div class="line"><span class="keywordtype">int</span> main(<span class="keywordtype">void</span>)</div>
<div class="line">{</div>
<div class="line">    <span class="comment">/* Structure of initialize PIT */</span></div>
<div class="line">    <a class="code" href="group__pit.html#structpit__config__t">pit_config_t</a> pitConfig;</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Initialize and enable LED */</span></div>
<div class="line">    LED_INIT();</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Board pin, clock, debug console init */</span></div>
<div class="line">    BOARD_InitHardware();</div>
<div class="line"></div>
<div class="line">    <a class="code" href="group__pit.html#gae7dc830a1a71ec7597ba78ccc76abfb6">PIT_GetDefaultConfig</a>(&amp;pitConfig);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Init pit module */</span></div>
<div class="line">    <a class="code" href="group__pit.html#ga51eb6396276b3f1ec564bd1879c97c06">PIT_Init</a>(PIT, &amp;pitConfig);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Set timer period for channel 0 */</span></div>
<div class="line">    <a class="code" href="group__pit.html#ga944e9c9bd6848d861a9eb17b617d72f7">PIT_SetTimerPeriod</a>(PIT, <a class="code" href="group__pit.html#gga7628036278f539e87bd3f76795917737a771abd65f098ad80d8f693e0b97a7e76">kPIT_Chnl_0</a>, USEC_TO_COUNT(1000000U, PIT_SOURCE_CLOCK));</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Enable timer interrupts for channel 0 */</span></div>
<div class="line">    <a class="code" href="group__pit.html#ga157360547de18885d6a783d2b510d87e">PIT_EnableInterrupts</a>(PIT, <a class="code" href="group__pit.html#gga7628036278f539e87bd3f76795917737a771abd65f098ad80d8f693e0b97a7e76">kPIT_Chnl_0</a>, <a class="code" href="group__pit.html#ggaa7063bba27d49c1195a3369b88a85bcda98c517b7246326afb50c93fe515916e0">kPIT_TimerInterruptEnable</a>);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Enable at the NVIC */</span></div>
<div class="line">    EnableIRQ(PIT_IRQ_ID);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Start channel 0 */</span></div>
<div class="line">    PRINTF(<span class="stringliteral">&quot;\r\nStarting channel No.0 ...&quot;</span>);</div>
<div class="line">    <a class="code" href="group__pit.html#ga3f6b9762079e4ce2de6799e030b14964">PIT_StartTimer</a>(PIT, <a class="code" href="group__pit.html#gga7628036278f539e87bd3f76795917737a771abd65f098ad80d8f693e0b97a7e76">kPIT_Chnl_0</a>);</div>
<div class="line"></div>
<div class="line">    <span class="keywordflow">while</span> (<span class="keyword">true</span>)</div>
<div class="line">    {</div>
<div class="line">        <span class="comment">/* Check whether occur interupt and toggle LED */</span></div>
<div class="line">        <span class="keywordflow">if</span> (<span class="keyword">true</span> == pitIsrFlag)</div>
<div class="line">        {</div>
<div class="line">            PRINTF(<span class="stringliteral">&quot;\r\n Channel No.0 interrupt is occured !&quot;</span>);</div>
<div class="line">            LED_TOGGLE();</div>
<div class="line">            pitIsrFlag = <span class="keyword">false</span>;</div>
<div class="line">        }</div>
<div class="line">    }</div>
<div class="line">}</div>
</div><!-- fragment --> <table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:structpit__config__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#structpit__config__t">pit_config_t</a></td></tr>
<tr class="memdesc:structpit__config__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">PIT configuration structure.  <a href="group__pit.html#structpit__config__t">More...</a><br/></td></tr>
<tr class="separator:structpit__config__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga7628036278f539e87bd3f76795917737"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> { <br/>
&#160;&#160;<a class="el" href="group__pit.html#gga7628036278f539e87bd3f76795917737a771abd65f098ad80d8f693e0b97a7e76">kPIT_Chnl_0</a> = 0U, 
<br/>
&#160;&#160;<a class="el" href="group__pit.html#gga7628036278f539e87bd3f76795917737ac7733ad1c04ea00e2f7890a3c737cb7b">kPIT_Chnl_1</a>, 
<br/>
&#160;&#160;<a class="el" href="group__pit.html#gga7628036278f539e87bd3f76795917737ad12ab59290845fcaebd2d9f01ae2f561">kPIT_Chnl_2</a>, 
<br/>
&#160;&#160;<a class="el" href="group__pit.html#gga7628036278f539e87bd3f76795917737a4666db554c10bce47cfa628e8bb4ab93">kPIT_Chnl_3</a>
<br/>
 }</td></tr>
<tr class="memdesc:ga7628036278f539e87bd3f76795917737"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of PIT channels.  <a href="group__pit.html#ga7628036278f539e87bd3f76795917737">More...</a><br/></td></tr>
<tr class="separator:ga7628036278f539e87bd3f76795917737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa7063bba27d49c1195a3369b88a85bcd"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#gaa7063bba27d49c1195a3369b88a85bcd">pit_interrupt_enable_t</a> { <a class="el" href="group__pit.html#ggaa7063bba27d49c1195a3369b88a85bcda98c517b7246326afb50c93fe515916e0">kPIT_TimerInterruptEnable</a> = PIT_TCTRL_TIE_MASK
 }</td></tr>
<tr class="memdesc:gaa7063bba27d49c1195a3369b88a85bcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of PIT interrupts.  <a href="group__pit.html#gaa7063bba27d49c1195a3369b88a85bcd">More...</a><br/></td></tr>
<tr class="separator:gaa7063bba27d49c1195a3369b88a85bcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83e319df67d942ffb2988f55803eebbb"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga83e319df67d942ffb2988f55803eebbb">pit_status_flags_t</a> { <a class="el" href="group__pit.html#gga83e319df67d942ffb2988f55803eebbba6792e6d30409cb5054b3f12c4e735cc0">kPIT_TimerFlag</a> = PIT_TFLG_TIF_MASK
 }</td></tr>
<tr class="memdesc:ga83e319df67d942ffb2988f55803eebbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of PIT status flags.  <a href="group__pit.html#ga83e319df67d942ffb2988f55803eebbb">More...</a><br/></td></tr>
<tr class="separator:ga83e319df67d942ffb2988f55803eebbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Driver version</h2></td></tr>
<tr class="memitem:ga55a6c6a9b7ee34302c636f9496d0ea2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga55a6c6a9b7ee34302c636f9496d0ea2f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga55a6c6a9b7ee34302c636f9496d0ea2f">FSL_PIT_DRIVER_VERSION</a>&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 0))</td></tr>
<tr class="memdesc:ga55a6c6a9b7ee34302c636f9496d0ea2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Version 2.0.0. <br/></td></tr>
<tr class="separator:ga55a6c6a9b7ee34302c636f9496d0ea2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Initialization and deinitialization</h2></td></tr>
<tr class="memitem:ga51eb6396276b3f1ec564bd1879c97c06"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga51eb6396276b3f1ec564bd1879c97c06">PIT_Init</a> (PIT_Type *base, const <a class="el" href="group__pit.html#structpit__config__t">pit_config_t</a> *config)</td></tr>
<tr class="memdesc:ga51eb6396276b3f1ec564bd1879c97c06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ungates the PIT clock, enables the PIT module, and configures the peripheral for basic operations.  <a href="#ga51eb6396276b3f1ec564bd1879c97c06">More...</a><br/></td></tr>
<tr class="separator:ga51eb6396276b3f1ec564bd1879c97c06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f9b6d5e9e463844f85e31102458c1fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga1f9b6d5e9e463844f85e31102458c1fc">PIT_Deinit</a> (PIT_Type *base)</td></tr>
<tr class="memdesc:ga1f9b6d5e9e463844f85e31102458c1fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gates the PIT clock and disables the PIT module.  <a href="#ga1f9b6d5e9e463844f85e31102458c1fc">More...</a><br/></td></tr>
<tr class="separator:ga1f9b6d5e9e463844f85e31102458c1fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7dc830a1a71ec7597ba78ccc76abfb6"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#gae7dc830a1a71ec7597ba78ccc76abfb6">PIT_GetDefaultConfig</a> (<a class="el" href="group__pit.html#structpit__config__t">pit_config_t</a> *config)</td></tr>
<tr class="memdesc:gae7dc830a1a71ec7597ba78ccc76abfb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fills in the PIT configuration structure with the default settings.  <a href="#gae7dc830a1a71ec7597ba78ccc76abfb6">More...</a><br/></td></tr>
<tr class="separator:gae7dc830a1a71ec7597ba78ccc76abfb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabe6831cfb502ca058f15fcf065cd13de"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#gabe6831cfb502ca058f15fcf065cd13de">PIT_SetTimerChainMode</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel, bool enable)</td></tr>
<tr class="memdesc:gabe6831cfb502ca058f15fcf065cd13de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables or disables chaining a timer with the previous timer.  <a href="#gabe6831cfb502ca058f15fcf065cd13de">More...</a><br/></td></tr>
<tr class="separator:gabe6831cfb502ca058f15fcf065cd13de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Interrupt Interface</h2></td></tr>
<tr class="memitem:ga157360547de18885d6a783d2b510d87e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga157360547de18885d6a783d2b510d87e">PIT_EnableInterrupts</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel, uint32_t mask)</td></tr>
<tr class="memdesc:ga157360547de18885d6a783d2b510d87e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the selected PIT interrupts.  <a href="#ga157360547de18885d6a783d2b510d87e">More...</a><br/></td></tr>
<tr class="separator:ga157360547de18885d6a783d2b510d87e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga12d03e0905453194bd5c3560996eb976"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga12d03e0905453194bd5c3560996eb976">PIT_DisableInterrupts</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel, uint32_t mask)</td></tr>
<tr class="memdesc:ga12d03e0905453194bd5c3560996eb976"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables the selected PIT interrupts.  <a href="#ga12d03e0905453194bd5c3560996eb976">More...</a><br/></td></tr>
<tr class="separator:ga12d03e0905453194bd5c3560996eb976"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ecb3ef65be040e9002a0277b13bb8e3"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga9ecb3ef65be040e9002a0277b13bb8e3">PIT_GetEnabledInterrupts</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel)</td></tr>
<tr class="memdesc:ga9ecb3ef65be040e9002a0277b13bb8e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the enabled PIT interrupts.  <a href="#ga9ecb3ef65be040e9002a0277b13bb8e3">More...</a><br/></td></tr>
<tr class="separator:ga9ecb3ef65be040e9002a0277b13bb8e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Status Interface</h2></td></tr>
<tr class="memitem:ga503619dd8ee2244edd12da3e27fa13e2"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga503619dd8ee2244edd12da3e27fa13e2">PIT_GetStatusFlags</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel)</td></tr>
<tr class="memdesc:ga503619dd8ee2244edd12da3e27fa13e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the PIT status flags.  <a href="#ga503619dd8ee2244edd12da3e27fa13e2">More...</a><br/></td></tr>
<tr class="separator:ga503619dd8ee2244edd12da3e27fa13e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc0f51c2e1b91fb0c529d752b71477e6"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#gadc0f51c2e1b91fb0c529d752b71477e6">PIT_ClearStatusFlags</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel, uint32_t mask)</td></tr>
<tr class="memdesc:gadc0f51c2e1b91fb0c529d752b71477e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the PIT status flags.  <a href="#gadc0f51c2e1b91fb0c529d752b71477e6">More...</a><br/></td></tr>
<tr class="separator:gadc0f51c2e1b91fb0c529d752b71477e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Read and Write the timer period</h2></td></tr>
<tr class="memitem:ga944e9c9bd6848d861a9eb17b617d72f7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga944e9c9bd6848d861a9eb17b617d72f7">PIT_SetTimerPeriod</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel, uint32_t count)</td></tr>
<tr class="memdesc:ga944e9c9bd6848d861a9eb17b617d72f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the timer period in units of count.  <a href="#ga944e9c9bd6848d861a9eb17b617d72f7">More...</a><br/></td></tr>
<tr class="separator:ga944e9c9bd6848d861a9eb17b617d72f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ffacaa2e8582f59194436ebc6de2db9"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga1ffacaa2e8582f59194436ebc6de2db9">PIT_GetCurrentTimerCount</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel)</td></tr>
<tr class="memdesc:ga1ffacaa2e8582f59194436ebc6de2db9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the current timer counting value.  <a href="#ga1ffacaa2e8582f59194436ebc6de2db9">More...</a><br/></td></tr>
<tr class="separator:ga1ffacaa2e8582f59194436ebc6de2db9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Timer Start and Stop</h2></td></tr>
<tr class="memitem:ga3f6b9762079e4ce2de6799e030b14964"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga3f6b9762079e4ce2de6799e030b14964">PIT_StartTimer</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel)</td></tr>
<tr class="memdesc:ga3f6b9762079e4ce2de6799e030b14964"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts the timer counting.  <a href="#ga3f6b9762079e4ce2de6799e030b14964">More...</a><br/></td></tr>
<tr class="separator:ga3f6b9762079e4ce2de6799e030b14964"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32f1b8ca9cf0fc82ef192890e97899b8"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ga32f1b8ca9cf0fc82ef192890e97899b8">PIT_StopTimer</a> (PIT_Type *base, <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a> channel)</td></tr>
<tr class="memdesc:ga32f1b8ca9cf0fc82ef192890e97899b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stops the timer counting.  <a href="#ga32f1b8ca9cf0fc82ef192890e97899b8">More...</a><br/></td></tr>
<tr class="separator:ga32f1b8ca9cf0fc82ef192890e97899b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="structpit__config__t" id="structpit__config__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct pit_config_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"><p>This structure holds the configuration settings for the PIT peripheral. To initialize this structure to reasonable defaults, call the <a class="el" href="group__pit.html#gae7dc830a1a71ec7597ba78ccc76abfb6" title="Fills in the PIT configuration structure with the default settings. ">PIT_GetDefaultConfig()</a> function and pass a pointer to your config structure instance.</p>
<p>The configuration structure can be made constant so it resides in flash. </p>
</div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:ade3a74504e1c6ecf10eb1f30fe5c0921"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade3a74504e1c6ecf10eb1f30fe5c0921"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pit.html#ade3a74504e1c6ecf10eb1f30fe5c0921">enableRunInDebug</a></td></tr>
<tr class="memdesc:ade3a74504e1c6ecf10eb1f30fe5c0921"><td class="mdescLeft">&#160;</td><td class="mdescRight">true: Timers run in debug mode; false: Timers stop in debug mode <br/></td></tr>
<tr class="separator:ade3a74504e1c6ecf10eb1f30fe5c0921"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga7628036278f539e87bd3f76795917737"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>Actual number of available channels is SoC dependent </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga7628036278f539e87bd3f76795917737a771abd65f098ad80d8f693e0b97a7e76"></a>kPIT_Chnl_0</em>&nbsp;</td><td class="fielddoc">
<p>PIT channel number 0. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga7628036278f539e87bd3f76795917737ac7733ad1c04ea00e2f7890a3c737cb7b"></a>kPIT_Chnl_1</em>&nbsp;</td><td class="fielddoc">
<p>PIT channel number 1. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga7628036278f539e87bd3f76795917737ad12ab59290845fcaebd2d9f01ae2f561"></a>kPIT_Chnl_2</em>&nbsp;</td><td class="fielddoc">
<p>PIT channel number 2. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga7628036278f539e87bd3f76795917737a4666db554c10bce47cfa628e8bb4ab93"></a>kPIT_Chnl_3</em>&nbsp;</td><td class="fielddoc">
<p>PIT channel number 3. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaa7063bba27d49c1195a3369b88a85bcd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__pit.html#gaa7063bba27d49c1195a3369b88a85bcd">pit_interrupt_enable_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggaa7063bba27d49c1195a3369b88a85bcda98c517b7246326afb50c93fe515916e0"></a>kPIT_TimerInterruptEnable</em>&nbsp;</td><td class="fielddoc">
<p>Timer interrupt enable. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga83e319df67d942ffb2988f55803eebbb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__pit.html#ga83e319df67d942ffb2988f55803eebbb">pit_status_flags_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga83e319df67d942ffb2988f55803eebbba6792e6d30409cb5054b3f12c4e735cc0"></a>kPIT_TimerFlag</em>&nbsp;</td><td class="fielddoc">
<p>Timer flag. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga51eb6396276b3f1ec564bd1879c97c06"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PIT_Init </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__pit.html#structpit__config__t">pit_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>This API should be called at the beginning of the application using the PIT driver.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">config</td><td>Pointer to the user's PIT config structure </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1f9b6d5e9e463844f85e31102458c1fc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PIT_Deinit </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae7dc830a1a71ec7597ba78ccc76abfb6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PIT_GetDefaultConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__pit.html#structpit__config__t">pit_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The default values are as follows. </p>
<div class="fragment"><div class="line">*     config-&gt;enableRunInDebug = <span class="keyword">false</span>;</div>
<div class="line">* </div>
</div><!-- fragment --> <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">config</td><td>Pointer to the onfiguration structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gabe6831cfb502ca058f15fcf065cd13de"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PIT_SetTimerChainMode </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enable</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>When a timer has a chain mode enabled, it only counts after the previous timer has expired. If the timer n-1 has counted down to 0, counter n decrements the value by one. Each timer is 32-bits, which allows the developers to chain timers together and form a longer timer (64-bits and larger). The first timer (timer 0) can't be chained to any other timer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number which is chained with the previous timer </td></tr>
    <tr><td class="paramname">enable</td><td>Enable or disable chain. true: Current timer is chained with the previous timer. false: Timer doesn't chain with other timers. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga157360547de18885d6a783d2b510d87e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PIT_EnableInterrupts </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number </td></tr>
    <tr><td class="paramname">mask</td><td>The interrupts to enable. This is a logical OR of members of the enumeration <a class="el" href="group__pit.html#gaa7063bba27d49c1195a3369b88a85bcd" title="List of PIT interrupts. ">pit_interrupt_enable_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga12d03e0905453194bd5c3560996eb976"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PIT_DisableInterrupts </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number </td></tr>
    <tr><td class="paramname">mask</td><td>The interrupts to disable. This is a logical OR of members of the enumeration <a class="el" href="group__pit.html#gaa7063bba27d49c1195a3369b88a85bcd" title="List of PIT interrupts. ">pit_interrupt_enable_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9ecb3ef65be040e9002a0277b13bb8e3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t PIT_GetEnabledInterrupts </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The enabled interrupts. This is the logical OR of members of the enumeration <a class="el" href="group__pit.html#gaa7063bba27d49c1195a3369b88a85bcd" title="List of PIT interrupts. ">pit_interrupt_enable_t</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga503619dd8ee2244edd12da3e27fa13e2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t PIT_GetStatusFlags </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The status flags. This is the logical OR of members of the enumeration <a class="el" href="group__pit.html#ga83e319df67d942ffb2988f55803eebbb" title="List of PIT status flags. ">pit_status_flags_t</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gadc0f51c2e1b91fb0c529d752b71477e6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PIT_ClearStatusFlags </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number </td></tr>
    <tr><td class="paramname">mask</td><td>The status flags to clear. This is a logical OR of members of the enumeration <a class="el" href="group__pit.html#ga83e319df67d942ffb2988f55803eebbb" title="List of PIT status flags. ">pit_status_flags_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga944e9c9bd6848d861a9eb17b617d72f7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PIT_SetTimerPeriod </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Timers begin counting from the value set by this function until it reaches 0, then it generates an interrupt and load this register value again. Writing a new value to this register does not restart the timer. Instead, the value is loaded after the timer expires.</p>
<dl class="section note"><dt>Note</dt><dd>Users can call the utility macros provided in fsl_common.h to convert to ticks.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number </td></tr>
    <tr><td class="paramname">count</td><td>Timer period in units of ticks </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1ffacaa2e8582f59194436ebc6de2db9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t PIT_GetCurrentTimerCount </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function returns the real-time timer counting value, in a range from 0 to a timer period.</p>
<dl class="section note"><dt>Note</dt><dd>Users can call the utility macros provided in fsl_common.h to convert ticks to usec or msec.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Current timer counting value in ticks </dd></dl>

</div>
</div>
<a class="anchor" id="ga3f6b9762079e4ce2de6799e030b14964"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PIT_StartTimer </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>After calling this function, timers load period value, count down to 0 and then load the respective start value again. Each time a timer reaches 0, it generates a trigger pulse and sets the timeout interrupt flag.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga32f1b8ca9cf0fc82ef192890e97899b8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PIT_StopTimer </td>
          <td>(</td>
          <td class="paramtype">PIT_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__pit.html#ga7628036278f539e87bd3f76795917737">pit_chnl_t</a>&#160;</td>
          <td class="paramname"><em>channel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function stops every timer counting. Timers reload their periods respectively after the next time they call the PIT_DRV_StartTimer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PIT peripheral base address </td></tr>
    <tr><td class="paramname">channel</td><td>Timer channel number. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
